diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -9169,53 +9175,54 @@ F1(!)3.78 E F0(.)A(These are the same conditions obe)144 507.6 Q
 (Signals ignored upon entry to the shell cannot be trapped or reset.)144
 525.6 R -.35(Tr)6.095 G 1.095(apped signals that are not).35 F .662
 (being ignored are reset to their original v)144 537.6 R .662
-(alues in a subshell or subshell en)-.25 F .661(vironment when one is)
+(alues in a subshell or subshell en)-.25 F .662(vironment when one is)
 -.4 F 2.5(created. The)144 549.6 R(return status is f)2.5 E(alse if an)
 -.1 E(y)-.15 E F2(sigspec)2.84 E F0(is in)2.81 E -.25(va)-.4 G
 (lid; otherwise).25 E F1(trap)2.5 E F0(returns true.)2.5 E F1(type)108
 566.4 Q F0([)2.5 E F1(\255aftpP)A F0(])A F2(name)2.5 E F0([)2.5 E F2
-(name)A F0(...])2.5 E -.4(Wi)144 578.4 S .173
-(th no options, indicate ho).4 F 2.673(we)-.25 G(ach)-2.673 E F2(name)
-3.033 E F0 -.1(wo)2.853 G .174
-(uld be interpreted if used as a command name.).1 F .174(If the)5.174 F
-F1<ad74>144 590.4 Q F0 .843(option is used,)3.343 F F1(type)3.343 E F0
+(name)A F0(...])2.5 E -.4(Wi)144 578.4 S .174
+(th no options, indicate ho).4 F 2.674(we)-.25 G(ach)-2.674 E F2(name)
+3.034 E F0 -.1(wo)2.854 G .173
+(uld be interpreted if used as a command name.).1 F .173(If the)5.173 F
+F1<ad74>144 590.4 Q F0 .842(option is used,)3.342 F F1(type)3.342 E F0
 .843(prints a string which is one of)3.343 F F2(alias)3.343 E F0(,).27 E
 F2 -.1(ke)3.343 G(ywor)-.2 E(d)-.37 E F0(,).77 E F2(function)3.343 E F0
-(,).24 E F2 -.2(bu)3.342 G(iltin).2 E F0 3.342(,o).24 G(r)-3.342 E F2
-(\214le)5.252 E F0(if)3.522 E F2(name)144.36 602.4 Q F0 .086
-(is an alias, shell reserv)2.766 F .086(ed w)-.15 F .086
-(ord, function, b)-.1 F .087(uiltin, or disk \214le, respecti)-.2 F -.15
-(ve)-.25 G(ly).15 E 5.087(.I)-.65 G 2.587(ft)-5.087 G(he)-2.587 E F2
-(name)2.947 E F0 .087(is not)2.767 F .119
+(,).24 E F2 -.2(bu)3.343 G(iltin).2 E F0 3.343(,o).24 G(r)-3.343 E F2
+(\214le)5.253 E F0(if)3.523 E F2(name)144.36 602.4 Q F0 .087
+(is an alias, shell reserv)2.767 F .087(ed w)-.15 F .087
+(ord, function, b)-.1 F .086(uiltin, or disk \214le, respecti)-.2 F -.15
+(ve)-.25 G(ly).15 E 5.086(.I)-.65 G 2.586(ft)-5.086 G(he)-2.586 E F2
+(name)2.946 E F0 .086(is not)2.766 F .118
 (found, then nothing is printed, and an e)144 614.4 R .118
-(xit status of f)-.15 F .118(alse is returned.)-.1 F .118(If the)5.118 F
-F1<ad70>2.618 E F0 .118(option is used,)2.618 F F1(type)2.618 E F0 .855
+(xit status of f)-.15 F .118(alse is returned.)-.1 F .119(If the)5.119 F
+F1<ad70>2.619 E F0 .119(option is used,)2.619 F F1(type)2.619 E F0 .855
 (either returns the name of the disk \214le that w)144 626.4 R .855
 (ould be e)-.1 F -.15(xe)-.15 G .855(cuted if).15 F F2(name)3.715 E F0
-.855(were speci\214ed as a com-)3.535 F .641(mand name, or nothing if)
-144 638.4 R/F5 10/Courier@0 SF .641(type -t name)3.141 F F0 -.1(wo)3.141
-G .641(uld not return).1 F F2(\214le)3.14 E F0 5.64(.T).18 G(he)-5.64 E
-F1<ad50>3.14 E F0 .64(option forces a)3.14 F F3 -.666(PA)3.14 G(TH)-.189
-E F0 .112(search for each)144 650.4 R F2(name)2.612 E F0 2.612(,e)C -.15
-(ve)-2.862 G 2.613(ni).15 G(f)-2.613 E F5 .113(type -t name)2.613 F F0
--.1(wo)2.613 G .113(uld not return).1 F F2(\214le)2.613 E F0 5.113(.I)
-.18 G 2.613(fac)-5.113 G .113(ommand is hashed,)-2.613 F F1<ad70>2.613 E
-F0(and)144 662.4 Q F1<ad50>3.231 E F0 .731(print the hashed v)3.231 F
-.73(alue, which is not necessarily the \214le that appears \214rst in)
--.25 F F3 -.666(PA)3.23 G(TH)-.189 E F4(.)A F0 .73(If the)5.23 F F1
-<ad61>144 674.4 Q F0 1.748(option is used,)4.248 F F1(type)4.248 E F0
-1.748(prints all of the places that contain an e)4.248 F -.15(xe)-.15 G
-1.748(cutable named).15 F F2(name)4.249 E F0 6.749(.T).18 G(his)-6.749 E
-.744(includes aliases and functions, if and only if the)144 686.4 R F1
-<ad70>3.244 E F0 .744(option is not also used.)3.244 F .743
+.855(were speci\214ed as a com-)3.535 F .64(mand name, or nothing if)144
+638.4 R/F5 10/Courier@0 SF .64(type -t name)3.14 F F0 -.1(wo)3.14 G .641
+(uld not return).1 F F2(\214le)3.141 E F0 5.641(.T).18 G(he)-5.641 E F1
+<ad50>3.141 E F0 .641(option forces a)3.141 F F3 -.666(PA)3.141 G(TH)
+-.189 E F0 .113(search for each)144 650.4 R F2(name)2.613 E F0 2.613(,e)
+C -.15(ve)-2.863 G 2.613(ni).15 G(f)-2.613 E F5 .113(type -t name)2.613
+F F0 -.1(wo)2.613 G .113(uld not return).1 F F2(\214le)2.613 E F0 5.113
+(.I).18 G 2.613(fa)-5.113 G .112(command is hashed,)-.001 F F1<ad70>
+2.612 E F0(and)144 662.4 Q F1<ad50>3.23 E F0 .73(print the hashed v)3.23
+F .731
+(alue, which is not necessarily the \214le that appears \214rst in)-.25
+F F3 -.666(PA)3.231 G(TH)-.189 E F4(.)A F0 .731(If the)5.231 F F1<ad61>
+144 674.4 Q F0 1.749(option is used,)4.249 F F1(type)4.248 E F0 1.748
+(prints all of the places that contain an e)4.248 F -.15(xe)-.15 G 1.748
+(cutable named).15 F F2(name)4.248 E F0 6.748(.T).18 G(his)-6.748 E .744
+(includes aliases and functions, if and only if the)144 686.4 R F1<ad70>
+3.244 E F0 .744(option is not also used.)3.244 F .744
 (The table of hashed)5.744 F 1.223(commands is not consulted when using)
 144 698.4 R F1<ad61>3.723 E F0 6.223(.T)C(he)-6.223 E F1<ad66>3.723 E F0
-1.223(option suppresses shell function lookup, as)3.723 F .326(with the)
-144 710.4 R F1(command)2.826 E F0 -.2(bu)2.826 G(iltin.).2 E F1(type)
-5.326 E F0 .326(returns true if all of the ar)2.826 F .325
-(guments are found, f)-.18 F .325(alse if an)-.1 F 2.825(ya)-.15 G .325
-(re not)-2.825 F(found.)144 722.4 Q(GNU Bash 4.4)72 768 Q(2017 June 23)
-148.175 E(76)197.335 E 0 Cg EP
+1.223(option suppresses shell function lookup, as)3.723 F .325(with the)
+144 710.4 R F1(command)2.825 E F0 -.2(bu)2.825 G(iltin.).2 E F1(type)
+5.325 E F0 .325(returns true if all of the ar)2.825 F .326
+(guments are found, f)-.18 F .326(alse if an)-.1 F 2.826(ya)-.15 G .326
+(re not)-2.826 F(found.)144 722.4 Q(GNU Bash 4.4)72 768 Q
+(2017 October 7)143.735 E(76)192.895 E 0 Cg EP
 %%Page: 77 77
 %%BeginPageSetup
 BP
@@ -9223,29 +9230,29 @@ BP
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
 SF(ulimit)108 84 Q F0([)2.5 E F1(\255HSabcde\214klmnpqrstuvxPT)A F0([)
-2.5 E/F2 10/Times-Italic@0 SF(limit)A F0(]])A(Pro)144 96 Q .243
-(vides control o)-.15 F -.15(ve)-.15 G 2.743(rt).15 G .243
-(he resources a)-2.743 F -.25(va)-.2 G .244
+2.5 E/F2 10/Times-Italic@0 SF(limit)A F0(]])A(Pro)144 96 Q .244
+(vides control o)-.15 F -.15(ve)-.15 G 2.744(rt).15 G .244
+(he resources a)-2.744 F -.25(va)-.2 G .244
 (ilable to the shell and to processes started by it, on systems).25 F
-.944(that allo)144 108 R 3.444(ws)-.25 G .944(uch control.)-3.444 F(The)
-5.944 E F1<ad48>3.444 E F0(and)3.444 E F1<ad53>3.444 E F0 .943
+.943(that allo)144 108 R 3.443(ws)-.25 G .943(uch control.)-3.443 F(The)
+5.943 E F1<ad48>3.443 E F0(and)3.443 E F1<ad53>3.444 E F0 .944
 (options specify that the hard or soft limit is set for the)3.444 F(gi)
-144 120 Q -.15(ve)-.25 G 2.708(nr).15 G 2.708(esource. A)-2.708 F .208(\
+144 120 Q -.15(ve)-.25 G 2.709(nr).15 G 2.709(esource. A)-2.709 F .208(\
 hard limit cannot be increased by a non-root user once it is set; a sof\
-t limit may)2.708 F .426(be increased up to the v)144 132 R .426
-(alue of the hard limit.)-.25 F .425(If neither)5.426 F F1<ad48>2.925 E
-F0(nor)2.925 E F1<ad53>2.925 E F0 .425
-(is speci\214ed, both the soft and)2.925 F .139(hard limits are set.)144
+t limit may)2.709 F .425(be increased up to the v)144 132 R .425
+(alue of the hard limit.)-.25 F .426(If neither)5.425 F F1<ad48>2.926 E
+F0(nor)2.926 E F1<ad53>2.926 E F0 .426
+(is speci\214ed, both the soft and)2.926 F .139(hard limits are set.)144
 144 R .139(The v)5.139 F .139(alue of)-.25 F F2(limit)2.729 E F0 .139
 (can be a number in the unit speci\214ed for the resource or one)3.319 F
-.742(of the special v)144 156 R(alues)-.25 E F1(hard)3.242 E F0(,)A F1
+.741(of the special v)144 156 R(alues)-.25 E F1(hard)3.241 E F0(,)A F1
 (soft)3.241 E F0 3.241(,o)C(r)-3.241 E F1(unlimited)3.241 E F0 3.241(,w)
 C .741(hich stand for the current hard limit, the current)-3.241 F .78
 (soft limit, and no limit, respecti)144 168 R -.15(ve)-.25 G(ly).15 E
 5.78(.I)-.65 G(f)-5.78 E F2(limit)3.37 E F0 .78
 (is omitted, the current v)3.96 F .78(alue of the soft limit of the)-.25
-F .499(resource is printed, unless the)144 180 R F1<ad48>2.999 E F0 .499
-(option is gi)2.999 F -.15(ve)-.25 G 2.999(n. When).15 F .498
+F .498(resource is printed, unless the)144 180 R F1<ad48>2.999 E F0 .499
+(option is gi)2.999 F -.15(ve)-.25 G 2.999(n. When).15 F .499
 (more than one resource is speci\214ed, the)2.999 F
 (limit name and unit are printed before the v)144 192 Q 2.5(alue. Other)
 -.25 F(options are interpreted as follo)2.5 E(ws:)-.25 E F1<ad61>144 204
@@ -9263,8 +9270,8 @@ Q F1<ad6b>144 288 Q F0
 -.1 E F1<ad6d>144 312 Q F0(The maximum resident set size \(man)180 312 Q
 2.5(ys)-.15 G(ystems do not honor this limit\))-2.5 E F1<ad6e>144 324 Q
 F0 .791(The maximum number of open \214le descriptors \(most systems do\
- not allo)180 324 R 3.291(wt)-.25 G .791(his v)-3.291 F .791(alue to)
--.25 F(be set\))180 336 Q F1<ad70>144 348 Q F0
+ not allo)180 324 R 3.29(wt)-.25 G .79(his v)-3.29 F .79(alue to)-.25 F
+(be set\))180 336 Q F1<ad70>144 348 Q F0
 (The pipe size in 512-byte blocks \(this may not be set\))180 348 Q F1
 <ad71>144 360 Q F0(The maximum number of bytes in POSIX message queues)
 180 360 Q F1<ad72>144 372 Q F0
@@ -9281,19 +9288,19 @@ Q F1<ad78>144 444 Q F0(The maximum number of \214le locks)180 444 Q F1
 Q F2(limit)3.058 E F0 .468(is gi)3.648 F -.15(ve)-.25 G .468(n, and the)
 .15 F F1<ad61>2.968 E F0 .468(option is not used,)2.968 F F2(limit)2.968
 E F0 .468(is the ne)2.968 F 2.968(wv)-.25 G .468
-(alue of the speci\214ed resource.)-3.218 F(If)5.468 E .045
-(no option is gi)144 496.8 R -.15(ve)-.25 G .045(n, then).15 F F1<ad66>
-2.545 E F0 .045(is assumed.)2.545 F -1.11(Va)5.045 G .045
-(lues are in 1024-byte increments, e)1.11 F .044(xcept for)-.15 F F1
-<ad74>2.544 E F0 2.544(,w)C .044(hich is)-2.544 F 1.588(in seconds;)144
-508.8 R F1<ad70>4.088 E F0 4.089(,w)C 1.589
+(alue of the speci\214ed resource.)-3.218 F(If)5.468 E .044
+(no option is gi)144 496.8 R -.15(ve)-.25 G .044(n, then).15 F F1<ad66>
+2.544 E F0 .045(is assumed.)2.545 F -1.11(Va)5.045 G .045
+(lues are in 1024-byte increments, e)1.11 F .045(xcept for)-.15 F F1
+<ad74>2.545 E F0 2.545(,w)C .045(hich is)-2.545 F 1.589(in seconds;)144
+508.8 R F1<ad70>4.089 E F0 4.089(,w)C 1.589
 (hich is in units of 512-byte blocks;)-4.089 F F1<ad50>4.089 E F0(,)A F1
 <ad54>4.089 E F0(,)A F1<ad62>4.089 E F0(,)A F1<ad6b>4.089 E F0(,)A F1
-<ad6e>4.089 E F0 4.089(,a)C(nd)-4.089 E F1<ad75>4.089 E F0 4.089(,w)C
-1.589(hich are)-4.089 F 1.439(unscaled v)144 520.8 R 1.439
+<ad6e>4.089 E F0 4.089(,a)C(nd)-4.089 E F1<ad75>4.089 E F0 4.088(,w)C
+1.588(hich are)-4.088 F 1.438(unscaled v)144 520.8 R 1.438
 (alues; and, when in Posix mode,)-.25 F F1<ad63>3.939 E F0(and)3.939 E
-F1<ad66>3.939 E F0 3.939(,w)C 1.438(hich are in 512-byte increments.)
--3.939 F(The)6.438 E .404(return status is 0 unless an in)144 532.8 R
+F1<ad66>3.939 E F0 3.939(,w)C 1.439(hich are in 512-byte increments.)
+-3.939 F(The)6.439 E .404(return status is 0 unless an in)144 532.8 R
 -.25(va)-.4 G .404(lid option or ar).25 F .404
 (gument is supplied, or an error occurs while setting)-.18 F 2.5(an)144
 544.8 S .5 -.25(ew l)-2.5 H(imit.).25 E F1(umask)108 561.6 Q F0([)2.5 E
@@ -9303,15 +9310,15 @@ F1<ad70>A F0 2.5(][)C F1<ad53>-2.5 E F0 2.5(][)C F2(mode)-2.5 E F0(])A
 (gins with a digit, it is interpreted as an octal)-.15 F .066(number; o\
 therwise it is interpreted as a symbolic mode mask similar to that acce\
 pted by)144 585.6 R F2 -.15(ch)2.566 G(mod).15 E F0(\(1\).).77 E(If)144
-597.6 Q F2(mode)3.263 E F0 .382(is omitted, the current v)3.063 F .382
+597.6 Q F2(mode)3.262 E F0 .382(is omitted, the current v)3.062 F .382
 (alue of the mask is printed.)-.25 F(The)5.382 E F1<ad53>2.882 E F0 .382
 (option causes the mask to be)2.882 F .547
 (printed in symbolic form; the def)144 609.6 R .547
 (ault output is an octal number)-.1 F 5.547(.I)-.55 G 3.047(ft)-5.547 G
 (he)-3.047 E F1<ad70>3.047 E F0 .547(option is supplied, and)3.047 F F2
-(mode)144.38 621.6 Q F0 .552
-(is omitted, the output is in a form that may be reused as input.)3.232
-F .551(The return status is 0 if the)5.551 F(mode w)144 633.6 Q
+(mode)144.38 621.6 Q F0 .551
+(is omitted, the output is in a form that may be reused as input.)3.231
+F .552(The return status is 0 if the)5.552 F(mode w)144 633.6 Q
 (as successfully changed or if no)-.1 E F2(mode)2.5 E F0(ar)2.5 E
 (gument w)-.18 E(as supplied, and f)-.1 E(alse otherwise.)-.1 E F1
 (unalias)108 650.4 Q F0<5bad>2.5 E F1(a)A F0 2.5(][)C F2(name)-2.5 E F0
@@ -9322,75 +9329,75 @@ F(remo)144 674.4 Q -.15(ve)-.15 G 2.5(d. The).15 F(return v)2.5 E
 (alue is true unless a supplied)-.25 E F2(name)2.86 E F0
 (is not a de\214ned alias.)2.68 E F1(unset)108 691.2 Q F0<5bad>2.5 E F1
 (fv)A F0 2.5(][)C<ad>-2.5 E F1(n)A F0 2.5(][)C F2(name)-2.5 E F0(...])
-2.5 E -.15(Fo)144 703.2 S 3.828(re).15 G(ach)-3.828 E F2(name)3.828 E F0
-3.828(,r).18 G(emo)-3.828 E 1.628 -.15(ve t)-.15 H 1.328
+2.5 E -.15(Fo)144 703.2 S 3.827(re).15 G(ach)-3.827 E F2(name)3.827 E F0
+3.827(,r).18 G(emo)-3.827 E 1.627 -.15(ve t)-.15 H 1.327
 (he corresponding v).15 F 1.327(ariable or function.)-.25 F 1.327
-(If the)6.327 F F1<ad76>3.827 E F0 1.327(option is gi)3.827 F -.15(ve)
--.25 G 1.327(n, each).15 F F2(name)144.36 715.2 Q F0 1.55
-(refers to a shell v)4.23 F 1.551(ariable, and that v)-.25 F 1.551
-(ariable is remo)-.25 F -.15(ve)-.15 G 4.051(d. Read-only).15 F -.25(va)
-4.051 G 1.551(riables may not be).25 F 4.642(unset. If)144 727.2 R F1
-<ad66>4.642 E F0 2.142(is speci\214ed, each)4.642 F F2(name)5.001 E F0
+(If the)6.327 F F1<ad76>3.828 E F0 1.328(option is gi)3.828 F -.15(ve)
+-.25 G 1.328(n, each).15 F F2(name)144.36 715.2 Q F0 1.551
+(refers to a shell v)4.231 F 1.551(ariable, and that v)-.25 F 1.551
+(ariable is remo)-.25 F -.15(ve)-.15 G 4.05(d. Read-only).15 F -.25(va)
+4.05 G 1.55(riables may not be).25 F 4.641(unset. If)144 727.2 R F1
+<ad66>4.641 E F0 2.141(is speci\214ed, each)4.641 F F2(name)5.001 E F0
 2.141(refers to a shell function, and the function de\214nition is)4.821
-F(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(77)197.335 E 0 Cg EP
+F(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(77)192.895 E 0 Cg EP
 %%Page: 78 78
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E(remo)144 84 Q -.15
-(ve)-.15 G 2.537(d. If).15 F(the)2.537 E/F1 10/Times-Bold@0 SF<ad6e>
+(ve)-.15 G 2.538(d. If).15 F(the)2.537 E/F1 10/Times-Bold@0 SF<ad6e>
 2.537 E F0 .037(option is supplied, and)2.537 F/F2 10/Times-Italic@0 SF
 (name)2.537 E F0 .037(is a v)2.537 F .037(ariable with the)-.25 F F2
 (namer)2.537 E(ef)-.37 E F0(attrib)2.537 E(ute,)-.2 E F2(name)2.537 E F0
-(will)2.538 E .492(be unset rather than the v)144 96 R .492
+(will)2.537 E .492(be unset rather than the v)144 96 R .492
 (ariable it references.)-.25 F F1<ad6e>5.492 E F0 .492(has no ef)2.992 F
 .492(fect if the)-.25 F F1<ad66>2.992 E F0 .492(option is supplied.)
-2.992 F .492(If no)5.492 F .22(options are supplied, each)144 108 R F2
-(name)2.72 E F0 .22(refers to a v)2.72 F .221(ariable; if there is no v)
--.25 F .221(ariable by that name, an)-.25 F 2.721(yf)-.15 G(unc-)-2.721
-E 1.189(tion with that name is unset.)144 120 R 1.189(Each unset v)6.189
-F 1.189(ariable or function is remo)-.25 F -.15(ve)-.15 G 3.688(df).15 G
-1.188(rom the en)-3.688 F(vironment)-.4 E 3.205
-(passed to subsequent commands.)144 132 R 3.206(If an)8.206 F 5.706(yo)
--.15 G(f)-5.706 E/F3 9/Times-Bold@0 SF(COMP_W)5.706 E(ORDBREAKS)-.09 E
-/F4 9/Times-Roman@0 SF(,)A F3(RANDOM)5.456 E F4(,)A F3(SECONDS)5.456 E
-F4(,)A F3(LINENO)144 144 Q F4(,)A F3(HISTCMD)4.348 E F4(,)A F3(FUNCN)
-4.348 E(AME)-.18 E F4(,)A F3(GR)4.348 E(OUPS)-.27 E F4(,)A F0(or)4.348 E
+2.992 F .493(If no)5.493 F .221(options are supplied, each)144 108 R F2
+(name)2.721 E F0 .221(refers to a v)2.721 F .22
+(ariable; if there is no v)-.25 F .22(ariable by that name, an)-.25 F
+2.72(yf)-.15 G(unc-)-2.72 E 1.188(tion with that name is unset.)144 120
+R 1.189(Each unset v)6.189 F 1.189(ariable or function is remo)-.25 F
+-.15(ve)-.15 G 3.689(df).15 G 1.189(rom the en)-3.689 F(vironment)-.4 E
+3.206(passed to subsequent commands.)144 132 R 3.206(If an)8.206 F 5.706
+(yo)-.15 G(f)-5.706 E/F3 9/Times-Bold@0 SF(COMP_W)5.706 E(ORDBREAKS)-.09
+E/F4 9/Times-Roman@0 SF(,)A F3(RANDOM)5.455 E F4(,)A F3(SECONDS)5.455 E
+F4(,)A F3(LINENO)144 144 Q F4(,)A F3(HISTCMD)4.347 E F4(,)A F3(FUNCN)
+4.347 E(AME)-.18 E F4(,)A F3(GR)4.347 E(OUPS)-.27 E F4(,)A F0(or)4.348 E
 F3(DIRST)4.598 E -.495(AC)-.81 G(K).495 E F0 2.098(are unset, the)4.348
-F 4.597(yl)-.15 G 2.097(ose their special)-4.597 F(properties, e)144 156
+F 4.598(yl)-.15 G 2.098(ose their special)-4.598 F(properties, e)144 156
 Q -.15(ve)-.25 G 2.5(ni).15 G 2.5(ft)-2.5 G(he)-2.5 E 2.5(ya)-.15 G
 (re subsequently reset.)-2.5 E(The e)5 E(xit status is true unless a)
 -.15 E F2(name)2.86 E F0(is readonly)2.68 E(.)-.65 E F1(wait)108 172.8 Q
 F0([)2.5 E F1(\255fn)A F0 2.5(][)C F2(id ...)-2.5 E F0(])A -.8(Wa)144
 184.8 S .659(it for each speci\214ed child process and return its termi\
-nation status.).8 F(Each)5.659 E F2(id)3.169 E F0 .659(may be a process)
-3.929 F .009(ID or a job speci\214cation; if a job spec is gi)144 196.8
-R -.15(ve)-.25 G .008(n, all processes in that job').15 F 2.508(sp)-.55
-G .008(ipeline are w)-2.508 F .008(aited for)-.1 F 5.008(.I)-.55 G(f)
--5.008 E F2(id)144.01 208.8 Q F0 .521(is not gi)3.791 F -.15(ve)-.25 G
+nation status.).8 F(Each)5.659 E F2(id)3.169 E F0 .658(may be a process)
+3.928 F .008(ID or a job speci\214cation; if a job spec is gi)144 196.8
+R -.15(ve)-.25 G .009(n, all processes in that job').15 F 2.509(sp)-.55
+G .009(ipeline are w)-2.509 F .009(aited for)-.1 F 5.009(.I)-.55 G(f)
+-5.009 E F2(id)144.01 208.8 Q F0 .522(is not gi)3.792 F -.15(ve)-.25 G
 .521(n, all currently acti).15 F .821 -.15(ve c)-.25 H .521
 (hild processes are w).15 F .521(aited for)-.1 F 3.021(,a)-.4 G .521
-(nd the return status is zero.)-3.021 F(If)5.522 E(the)144 220.8 Q F1
-<ad6e>3.057 E F0 .557(option is supplied,)3.057 F F1(wait)3.057 E F0 -.1
+(nd the return status is zero.)-3.021 F(If)5.521 E(the)144 220.8 Q F1
+<ad6e>3.056 E F0 .556(option is supplied,)3.056 F F1(wait)3.057 E F0 -.1
 (wa)3.057 G .557(its for an).1 F 3.057(yj)-.15 G .557
-(ob to terminate and returns its e)-3.057 F .557(xit status.)-.15 F .556
-(If the)5.556 F F1<ad66>3.056 E F0 .586
+(ob to terminate and returns its e)-3.057 F .557(xit status.)-.15 F .557
+(If the)5.557 F F1<ad66>3.057 E F0 .587
 (option is supplied, and job control is enabled,)144 232.8 R F1(wait)
-3.086 E F0(forces)3.086 E F2(id)3.086 E F0 .587
-(to terminate before returning its sta-)3.086 F .756
+3.086 E F0(forces)3.086 E F2(id)3.086 E F0 .586
+(to terminate before returning its sta-)3.086 F .755
 (tus, instead of returning when it changes status.)144 244.8 R(If)5.756
-E F2(id)3.266 E F0 .755(speci\214es a non-e)4.026 F .755
+E F2(id)3.266 E F0 .756(speci\214es a non-e)4.026 F .756
 (xistent process or job, the)-.15 F .365(return status is 127.)144 256.8
 R .365(Otherwise, the return status is the e)5.365 F .365
 (xit status of the last process or job w)-.15 F(aited)-.1 E(for)144
 268.8 Q(.)-.55 E/F5 10.95/Times-Bold@0 SF(RESTRICTED SHELL)72 285.6 Q F0
-(If)108 297.6 Q F1(bash)4.397 E F0 1.897(is started with the name)4.397
+(If)108 297.6 Q F1(bash)4.396 E F0 1.896(is started with the name)4.396
 F F1(rbash)4.397 E F0 4.397(,o)C 4.397(rt)-4.397 G(he)-4.397 E F1<ad72>
-4.397 E F0 1.896(option is supplied at in)4.397 F -.2(vo)-.4 G 1.896
-(cation, the shell becomes).2 F 3.445(restricted. A)108 309.6 R .945
-(restricted shell is used to set up an en)3.445 F .946
-(vironment more controlled than the standard shell.)-.4 F(It)5.946 E
+4.397 E F0 1.897(option is supplied at in)4.397 F -.2(vo)-.4 G 1.897
+(cation, the shell becomes).2 F 3.446(restricted. A)108 309.6 R .945
+(restricted shell is used to set up an en)3.446 F .945
+(vironment more controlled than the standard shell.)-.4 F(It)5.945 E
 (beha)108 321.6 Q -.15(ve)-.2 G 2.5(si).15 G(dentically to)-2.5 E F1
 (bash)2.5 E F0(with the e)2.5 E(xception that the follo)-.15 E
 (wing are disallo)-.25 E(wed or not performed:)-.25 E<83>108 338.4 Q
@@ -9401,13 +9408,13 @@ F4(,)A F3 -.666(PA)2.25 G(TH)-.189 E F4(,)A F3(ENV)2.25 E F4(,)A F0(or)
 (specifying command names containing)144 372 Q F1(/)2.5 E F0<83>108
 388.8 Q(specifying a \214lename containing a)144 388.8 Q F1(/)2.5 E F0
 (as an ar)2.5 E(gument to the)-.18 E F1(.)2.5 E F0 -.2(bu)5 G
-(iltin command).2 E<83>108 405.6 Q .45
+(iltin command).2 E<83>108 405.6 Q .449
 (specifying a \214lename containing a slash as an ar)144 405.6 R .449
-(gument to the)-.18 F F1<ad70>2.949 E F0 .449(option to the)2.949 F F1
-(hash)2.949 E F0 -.2(bu)2.949 G .449(iltin com-).2 F(mand)144 417.6 Q
-<83>108 434.4 Q(importing function de\214nitions from the shell en)144
-434.4 Q(vironment at startup)-.4 E<83>108 451.2 Q(parsing the v)144
-451.2 Q(alue of)-.25 E F3(SHELLOPTS)2.5 E F0(from the shell en)2.25 E
+(gument to the)-.18 F F1<ad70>2.95 E F0 .45(option to the)2.95 F F1
+(hash)2.95 E F0 -.2(bu)2.95 G .45(iltin com-).2 F(mand)144 417.6 Q<83>
+108 434.4 Q(importing function de\214nitions from the shell en)144 434.4
+Q(vironment at startup)-.4 E<83>108 451.2 Q(parsing the v)144 451.2 Q
+(alue of)-.25 E F3(SHELLOPTS)2.5 E F0(from the shell en)2.25 E
 (vironment at startup)-.4 E<83>108 468 Q(redirecting output using the >\
 , >|, <>, >&, &>, and >> redirection operators)144 468 Q<83>108 484.8 Q
 (using the)144 484.8 Q F1(exec)2.5 E F0 -.2(bu)2.5 G
@@ -9424,8 +9431,8 @@ F1(command)2.5 E F0 -.2(bu)2.5 G(iltin command).2 E<83>108 552 Q
 (These restrictions are enforced after an)108 568.8 Q 2.5(ys)-.15 G
 (tartup \214les are read.)-2.5 E 1.566
 (When a command that is found to be a shell script is e)108 585.6 R -.15
-(xe)-.15 G 1.567(cuted \(see).15 F F3 1.567(COMMAND EXECUTION)4.067 F F0
-(abo)3.817 E -.15(ve)-.15 G(\),).15 E F1(rbash)108 597.6 Q F0(turns of)
+(xe)-.15 G 1.566(cuted \(see).15 F F3 1.566(COMMAND EXECUTION)4.066 F F0
+(abo)3.816 E -.15(ve)-.15 G(\),).15 E F1(rbash)108 597.6 Q F0(turns of)
 2.5 E 2.5(fa)-.25 G .3 -.15(ny r)-2.5 H(estrictions in the shell spa).15
 E(wned to e)-.15 E -.15(xe)-.15 G(cute the script.).15 E F5(SEE ALSO)72
 614.4 Q F2(Bash Refer)108 626.4 Q(ence Manual)-.37 E F0 2.5(,B)C(rian F)
@@ -9439,7 +9446,7 @@ E(wned to e)-.15 E -.15(xe)-.15 G(cute the script.).15 E F5(SEE ALSO)72
 (http://tiswww)108 686.4 Q
 (.case.edu/~chet/bash/POSIX -- a description of posix mode)-.65 E F2(sh)
 108 698.4 Q F0(\(1\),)A F2(ksh)2.5 E F0(\(1\),)A F2(csh)2.5 E F0(\(1\))A
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(78)197.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(78)192.895 E 0 Cg EP
 %%Page: 79 79
 %%BeginPageSetup
 BP
@@ -9465,20 +9472,20 @@ E F0(The personal initialization \214le, e)144 184.8 Q -.15(xe)-.15 G
 (oundation)-.15 E(bfox@gnu.or)108 297.6 Q(g)-.18 E(Chet Rame)108 314.4 Q
 1.3 -.65(y, C)-.15 H(ase W).65 E(estern Reserv)-.8 E 2.5(eU)-.15 G(ni)
 -2.5 E -.15(ve)-.25 G(rsity).15 E(chet.rame)108 326.4 Q(y@case.edu)-.15
-E F2 -.11(BU)72 343.2 S 2.738(GR).11 G(EPOR)-2.738 E(TS)-.438 E F0 .568
+E F2 -.11(BU)72 343.2 S 2.738(GR).11 G(EPOR)-2.738 E(TS)-.438 E F0 .567
 (If you \214nd a b)108 355.2 R .568(ug in)-.2 F F3(bash,)3.068 E F0 .568
 (you should report it.)3.068 F .568(But \214rst, you should mak)5.568 F
-3.068(es)-.1 G .568(ure that it really is a b)-3.068 F .567(ug, and)-.2
-F 5.625(that it appears in the latest v)108 367.2 R 5.625(ersion of)-.15
-F F3(bash)8.125 E F0 10.625(.T)C 5.625(he latest v)-10.625 F 5.626
-(ersion is al)-.15 F -.1(wa)-.1 G 5.626(ys a).1 F -.25(va)-.2 G 5.626
+3.068(es)-.1 G .568(ure that it really is a b)-3.068 F .568(ug, and)-.2
+F 5.626(that it appears in the latest v)108 367.2 R 5.625(ersion of)-.15
+F F3(bash)8.125 E F0 10.625(.T)C 5.625(he latest v)-10.625 F 5.625
+(ersion is al)-.15 F -.1(wa)-.1 G 5.625(ys a).1 F -.25(va)-.2 G 5.625
 (ilable from).25 F F1(ftp://ftp.gnu.or)108 379.2 Q(g/pub/gnu/bash/)-.37
-E F0(.)A .411(Once you ha)108 396 R .711 -.15(ve d)-.2 H .411
-(etermined that a b).15 F .411(ug actually e)-.2 F .411(xists, use the)
--.15 F F1(bashb)3.18 E(ug)-.2 E F0 .41(command to submit a b)3.13 F .41
-(ug report.)-.2 F(If)5.41 E .594(you ha)108 408 R .894 -.15(ve a \214)
--.2 H .595(x, you are encouraged to mail that as well!).15 F .595
-(Suggestions and `philosophical' b)5.595 F .595(ug reports may)-.2 F
+E F0(.)A .41(Once you ha)108 396 R .71 -.15(ve d)-.2 H .41
+(etermined that a b).15 F .41(ug actually e)-.2 F .411(xists, use the)
+-.15 F F1(bashb)3.181 E(ug)-.2 E F0 .411(command to submit a b)3.131 F
+.411(ug report.)-.2 F(If)5.411 E .595(you ha)108 408 R .895 -.15
+(ve a \214)-.2 H .595(x, you are encouraged to mail that as well!).15 F
+.594(Suggestions and `philosophical' b)5.595 F .594(ug reports may)-.2 F
 (be mailed to)108 420 Q F1 -.2(bu)2.5 G(g-bash@gnu.or).2 E(g)-.37 E F0
 (or posted to the Usenet ne)2.5 E(wsgroup)-.25 E F3(gnu.bash.b)2.5 E(ug)
 -.2 E F0(.)A(ALL b)108 436.8 Q(ug reports should include:)-.2 E(The v)
@@ -9492,25 +9499,25 @@ G(rcises the b).15 E(ug)-.2 E F1(bashb)108.27 518.4 Q(ug)-.2 E F0
 535.2 Q(ug reports concerning this manual page should be directed to)-.2
 E F1 -.15(ch)2.5 G(et.r).15 E(ame)-.15 E(y@case)-.3 E(.edu)-.15 E F0(.)
 .25 E F2 -.11(BU)72 552 S(GS).11 E F0(It')108 564 Q 2.5(st)-.55 G
-(oo big and too slo)-2.5 E -.65(w.)-.25 G 1.869
-(There are some subtle dif)108 580.8 R 1.869(ferences between)-.25 F F3
+(oo big and too slo)-2.5 E -.65(w.)-.25 G 1.868
+(There are some subtle dif)108 580.8 R 1.868(ferences between)-.25 F F3
 (bash)4.369 E F0 1.869(and traditional v)4.369 F 1.869(ersions of)-.15 F
-F3(sh)4.368 E F0 4.368(,m)C 1.868(ostly because of the)-4.368 F/F4 9
+F3(sh)4.369 E F0 4.369(,m)C 1.869(ostly because of the)-4.369 F/F4 9
 /Times-Bold@0 SF(POSIX)108 592.8 Q F0(speci\214cation.)2.25 E
 (Aliases are confusing in some uses.)108 609.6 Q(Shell b)108 626.4 Q
 (uiltin commands and functions are not stoppable/restartable.)-.2 E
 1.315(Compound commands and command sequences of the form `a ; b ; c' a\
-re not handled gracefully when)108 643.2 R .39
+re not handled gracefully when)108 643.2 R .389
 (process suspension is attempted.)108 655.2 R .389
-(When a process is stopped, the shell immediately e)5.39 F -.15(xe)-.15
-G .389(cutes the ne).15 F .389(xt com-)-.15 F .192
-(mand in the sequence.)108 667.2 R .192(It suf)5.192 F .192(\214ces to \
-place the sequence of commands between parentheses to force it into a)
--.25 F(subshell, which may be stopped as a unit.)108 679.2 Q(Array v)108
-696 Q(ariables may not \(yet\) be e)-.25 E(xported.)-.15 E
+(When a process is stopped, the shell immediately e)5.389 F -.15(xe)-.15
+G .39(cutes the ne).15 F .39(xt com-)-.15 F .193(mand in the sequence.)
+108 667.2 R .192(It suf)5.193 F .192(\214ces to place the sequence of c\
+ommands between parentheses to force it into a)-.25 F
+(subshell, which may be stopped as a unit.)108 679.2 Q(Array v)108 696 Q
+(ariables may not \(yet\) be e)-.25 E(xported.)-.15 E
 (There may be only one acti)108 712.8 Q .3 -.15(ve c)-.25 H
-(oprocess at a time.).15 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E
-(79)197.335 E 0 Cg EP
+(oprocess at a time.).15 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735
+E(79)192.895 E 0 Cg EP
 %%Trailer
 end
 %%EOF
